[mdal] Refreshing the canvas does not reload the mesh

2018-10-16 06:16 PM - Saber Razmjooei

Status: Rejected

Priority: Low

Assignee: Peter Petrik

Category: Data Provider/MDAL

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27946

Description

To reproduce:

1- Load a mesh layer

2- then outside QGIS, make some changes to the mesh

3- Press F5 (or Refresh the canvas)

4- The layer does not get updated with the changes done outside QGIS

Other data providers, show updated data.

History

#1 - 2019-02-01 03:34 PM - Peter Petrik

- Priority changed from Normal to Low

- Affected QGIS version changed from 3.3(master) to 3.5(master)

#2 - 2019-05-02 01:09 PM - Peter Petrik

https://github.com/qgis/QGIS/pull/9922

#3 - 2019-05-02 01:09 PM - Peter Petrik

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 3.5(master) to 3.7(master)

#4 - 2019-05-02 01:21 PM - Giovanni Manghi

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

#5 - 2019-05-03 03:27 PM - Peter Petrik

- Status changed from In Progress to Rejected

- Resolution set to fixed/implemented

https://github.com/qgis/QGIS/pull/9922
